# Uses of Enum
org.apache.avro.compiler.specific.SpecificCompiler.FieldVisibility

Packages that use SpecificCompiler.FieldVisibility
Package
Description
org.apache.avro.compiler.specific

## Uses of SpecificCompiler.FieldVisibility in org.apache.avro.compiler.specific

Methods in org.apache.avro.compiler.specific that return SpecificCompiler.FieldVisibility
Modifier and Type
Method
Description
`static SpecificCompiler.FieldVisibility`
SpecificCompiler.FieldVisibility.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SpecificCompiler.FieldVisibility[]`
SpecificCompiler.FieldVisibility.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.avro.compiler.specific with parameters of type SpecificCompiler.FieldVisibility
Modifier and Type
Method
Description
`void`
SpecificCompiler.`setFieldVisibility(SpecificCompiler.FieldVisibility fieldVisibility)`
Sets the field visibility option.